actualizar de lenny a squeeze

Página 1 de 2. 1, 2  Siguiente

Ver el tema anterior Ver el tema siguiente Ir abajo

actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 11:46

¿alguien actualizó alguna vez una debian oldstable?

es que tengo una debian lenny que hace unos días pasó a ser oldstable y quiero actualizarla.




Los repos que tengo son de stable. La última vez que actualicé, lenny aun era stable.

Ahora que Squeeze es la nueva Stable, quería que este Lenny se actualice.... pero tengo un par de dudas y un problema que nunca había visto:

Según hago un safe-upgrade, el sistema se pone como un loco calculando dependencias e intentando resolverlas.... pero termina sin poder hacer nada.

En pantalla sale lo típico que se suele ver mucho en SID.... eso de abierto / cerrado / diferido / conflicto.... y termina con que:

xserver-xorg-core rompe xserver-xorg-video-2
xserver-xorg-core rompe xserver-xorg-video-cyrix
xserver-xorg-core rompe xserver-xorg-video-nsc





bueno, creo que se arreglaría eliminando esos paquetes que se rompen (y que no pertenecen a mi gráfica).... pero mejor me lo voy a tomar con calma... así que eso, ¿alguien tiene experiencia o algún comentario que me ayude?

tengo todo el tiempo del mundo, porque el PC es de producción y no hay necesidad de actualizar porque todo va bien.... pero algun día me tocará, y por el mismo motivo de que es de producción, no quiero joderla... pale
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por El innombrable el Lun Feb 14 2011, 12:01

Si te sirve yo he hecho actualizaciones de la estable de ubuntu a una alpha o beta con conflictos y no hubo problemas
avatar
El innombrable
Forero

Mensajes : 1808
Fecha de inscripción : 02/12/2010
Edad : 46

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 12:10

que ubuntu no es stable nunca, joder !!!

hoy te pido perdón por responder así, ya que estas ayudando... pero no puede resistirlo Razz





ahora en serio, lo que dices no creo que se aplique en este caso.... porque yo también tengo actualizado algo tan estable como tus ubuntus (o más.... osea, testing) y da problemas que "no me dan miedo".... y con un poco de paciencia (o suerte, o pericia, que mas da... Very Happy ) queda todo perfecto, siempre.

pero en este caso, me da respeto... es una actualización donde no se trata de lo estable que sean las cosas, sino del número tremendisimo de actualizaciones que me van a entrar (no recuerdo las cifras, pero eran muchísimos.... del orden de muchos cientos)

ademas de que es un equipo que no puede fallar.... como se suele decir, bajo ningun concepto pale es un PC que lleva casi todo lo del almacen, varias bases de datos, etc...... entendereis que me produzca un poco de cagalera ¿no? Laughing
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 12:12

por cierto, yo no voy a actualizar de algo estable a algo beta

en mi caso voy a actualizar algo del milenio pasado a otra cosa del siglo pasado... Laughing osea, de stable a stable, y tiro porque me toca...
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por El innombrable el Lun Feb 14 2011, 12:12

¿no puedes hacer actualizaciones intermedias?.
avatar
El innombrable
Forero

Mensajes : 1808
Fecha de inscripción : 02/12/2010
Edad : 46

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 12:22

safe-upgrade ya lo es




creo que me expliqué algo mal, como casi siempre:

lo que yo hice fue esto:

# cat /etc/apt/sources.list
** todos los repos apuntando a la rama stable
** no hay multimedia ni nada raro,
** solo tengo lo oficial de debian

# aptitude update
** todo termina bien... indica que casi mil paquetes van a cambiar

# aptitude safe-upgrade
** aqui es donde se pasa bastante tiempo calculando dependencias
** al final no propone nada para hacer
** simplemente me devuelve al prompt
** lo unico que indica es lo que puse sobre paquetes que se romperían




si el safe-upgrade ya empieza así, entonces un full-upgrade ya ni lo probé, claro
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 12:26

y sí, podría bloquear el paquete xserver-xorg-core para que no se actualice.

también podría cargarme los paquetes que se van a romper (lo que me parece raro es que no me lo proponga ya el propio aptitude.... en SID es algo típico que esto pase).



es más el miedo que las dudas
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por alfonskunk el Lun Feb 14 2011, 17:11

y un dist-upgrade... segun tengo entendido la diferencia es el orden de la paqueteria... en dist-upgrade actualiza como si hiciera una instalacion de 0

_________________
Tampoco te creas que te lo digo muy en serio, ¿eh? No vayas a equivocarte.
avatar
alfonskunk
---------------
---------------

Mensajes : 3158
Fecha de inscripción : 29/11/2010
Edad : 39

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 17:56

dist-upgrade es lo mismo que full-upgrade (lo pone en el man de aptitude)

igual que safe-upgrade es lo mismo que el upgrade "a secas"
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 18:00

el tema es que ese paquete, "xserver-xorg-core", rompe a los otros 3 de xserver-xorg-video

haga lo que haga, supongo que eso no va a cambiar



no se si esperar a ver si esto es un fallo que se termina por resolver... o cargarme los paquetes a ver que pasa (en teoría no pasará nada, porque no los necesita la gráfica.... pero no quiero cagarla)

el asunto es que alguien que tuviera lenny me pudiera confirmar que se arregla así o de otra manera.... yo no quiero andar con experimentos en este PC.... de últimas, me monto yo otro stable igual para probar sobre ese (pero es un chollazo... pale )
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

.

Mensaje por Botón-Rojo el Lun Feb 14 2011, 19:15

En debian-news.net hay un enlace a un artículo. Voy a buscarlo...



Aquí está:

http://www.howtoforge.com/upgrade-debian-lenny-to-squeeze-in-a-few-simple-steps


Uff... vaya guía, da algo de miedito.



Oye, Óscar ¿Te es factible un dd previo?



Copiar/Restaurar el MBR:

# dd if=/dev/sda of=/media/almacen/MBR.dd bs=512 count=1
# dd if=/media/almacen/MBR.dd of=/dev/sda bs=512 count=1


Copiar/Restaurar una partición (GZIP):

# dd if=/dev/sda1 ibs=4096 conv=notrunc,noerror | gzip -c > /media/almacen/imagen.gz
# gunzip -c /media/almacen/imagen.gz | dd of=/dev/sda1 obs=4096 conv=notrunc,noerror



NOTA:

if=input-file of=output-file bs=cantidad-de-bytes count=repeticiones
conv=noerror (dont stop on errors) conv=notrunc (copia exacta, sin truncar)


NOTA2:

Esto no es un copy/paste apestoso procedente de Internet, es un copy/paste procedente
de mis notas, y mis notas son el resultado de la lectura y experimentación por mi parte.











.
avatar
Botón-Rojo
Forero

Mensajes : 614
Fecha de inscripción : 03/12/2010

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 20:21

no, prefiero no meterme en fregaos tipo dd y tal.... pero gracias igual

el enlace que pones me parece interesante, y además me recordó que había visto que en los manuales oficiales de debian usan apt-get en lugar de aptitude.... asi que busqué la guía de actualización:

http://www.debian.org/releases/stable/i386/release-notes/ch-upgrading.en.html#minimal-upgrade

asi que probé con apt-get y parece que no se queja.... de momento es un upgrade (que viene a ser el safe-upgrade de aptitude) y supongo que el problema simplemente se retrasa pero sefguirá ahí..... el asunto es que ya puedo ir haciendo cosas

os iré contando por si interesa. ahora está la máquina trabajando y yo me voy a fumar a la calle Very Happy
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por Botón-Rojo el Lun Feb 14 2011, 20:41

oscar escribió:no, prefiero no meterme en fregaos tipo dd y tal....

Pienso que el fregao no es hacer un backup con dd o cualquier otro soft,
el fregao es hacer un upgrade como el que pretendes sin realizar antes
una copia del sistema por si las moscas.

Pero bueno, suerte...
avatar
Botón-Rojo
Forero

Mensajes : 614
Fecha de inscripción : 03/12/2010

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 20:57

si esto se aclara y al final veo claro el asunto, no tiene porque pasar nada, esto es debian... Wink

pero mientras tenga dudas, no hago nada... por lo que tampoco necesito copia de nada, por el momento.

sea como sea, ya tengo copias de las configuraciones, que es de lo que interesa hacer backup (los equipos no tienen datos "propios"... trabajamos con servers)

si algo falla (que no va a pasar) me gusta más la idea de volver a instalar y restaurar configuraciones.... es más rápido y limpio, y me pondría directamente en squeeze (haciendo un dd ahora, lo que tendría es el lenny este de ahora)
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Lun Feb 14 2011, 21:03

por cierto, al mediodía actualicé mi SID en casa y tuve un problema parecido con los xserver-xorg-video

en este caso el sistema me ofrecía las clásicas opciones de dejar algunos paquetes sin instalar, otros sin actualizar, etc (que es lo que yo me esperaba de este lenny)

no me gustaba las propuestas de aptitude, así que lo que hice fue borrar los paquetes problematicos (tal como pensaba hacer con lenny).... y todo se arregló (aunque sigo sin fiarme... Neutral )

ahora solo tengo xserver-xorg-video-intel y -vesa.... más que suficiente Very Happy
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

.

Mensaje por Botón-Rojo el Mar Feb 15 2011, 14:42

Lo de Xorg en Sid: Viene de hace una o dos semanas más o menos.

Yo opté por purgarlo y volver a instalarlo (xserver-xorg).





En cuanto a tu Lenny y lo del backup: Yo también haría una instalación desde cero, pero es que eres tú
quien ha planteado un "upgrade" desde el principio del hilo.

No obstante, también haría el backup del sistema Lenny antes de instalar Squeeze.

Es algo psicológico: pensamos que la nueva versión va a funcionar mejor y tal, pero...
... te podrías llevar alguna desagradable sorpresita.


.
avatar
Botón-Rojo
Forero

Mensajes : 614
Fecha de inscripción : 03/12/2010

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Mar Feb 15 2011, 17:34

es que lo que quiero hacer es el upgrade (lo de reinstalar lo haría si al final peta... que no va a pasar What a Face )

lo de backup está descartado. no me hace falta... tardo menos en reinstalar que en restaurar la copia (porque como te digo, el equipo no tiene nada más que unas pocas configuraciones, y esas ya están guardadas en mis notas)

por otro lado, squeeze es estable, no es algo sicologico... yo confío 100% (mucho más que en mi mismo... y de ahí este post Laughing )





ayer no tuve tiempo de actualizar con apt-get... ahora mismo voy a probarlo
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Mar Feb 15 2011, 17:36

Botón-Rojo escribió:Lo de Xorg en Sid: Viene de hace una o dos semanas más o menos.

Yo opté por purgarlo y volver a instalarlo (xserver-xorg).
¿y haciendo eso, no quiso eliminar el xorg?
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por Botón-Rojo el Mar Feb 15 2011, 18:55

oscar escribió:
Botón-Rojo escribió:Lo de Xorg en Sid: Viene de hace una o dos semanas más o menos.

Yo opté por purgarlo y volver a instalarlo (xserver-xorg).
¿y haciendo eso, no quiso eliminar el xorg?


No entiendo tu pregunta.


Lo que a mí me pasaba es que al hacer un safe-upgrade siempre se quedaban un par de paquetes
colgados, es decir: sin poder actualizarlos, por problemas de dependencias y tal.

Probé un full-upgrade y no me gustó lo que vi, así que no acepté.

Por último decidí arriesgar haciendo lo que dije:

# aptitude purge xserver-xorg
# reboot
# aptitude install xserver-xorg


NOTAS:

1) Antes desinstalé el driver de nvidia. Luego volví a instalarlo.

2) Cuando instalo un sistema base, suelo instalar después "xserver-xorg" aunque
a veces instalo "xorg". Éste último instala algunas cosillas más, pero no me preguntes
porque esto es algo que no tengo claro...



Por cierto: al purgar xserver-xorg no tuve problemas de que quisiera llevarse consigo
al KDE entero o algo similar. Solo me desinstaló el conjunto de paquetes del servidor.



.
avatar
Botón-Rojo
Forero

Mensajes : 614
Fecha de inscripción : 03/12/2010

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por alfonskunk el Mar Feb 15 2011, 20:08

joder... y yo que en el curro tengo los debian en etch, los suse con la 10 y los RH en la 11!


_________________
Tampoco te creas que te lo digo muy en serio, ¿eh? No vayas a equivocarte.
avatar
alfonskunk
---------------
---------------

Mensajes : 3158
Fecha de inscripción : 29/11/2010
Edad : 39

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Mar Feb 15 2011, 20:24

Botón-Rojo escribió:
oscar escribió:
Botón-Rojo escribió:Lo de Xorg en Sid: Viene de hace una o dos semanas más o menos.

Yo opté por purgarlo y volver a instalarlo (xserver-xorg).
¿y haciendo eso, no quiso eliminar el xorg?


No entiendo tu pregunta.
Que si al purgar xserver-xorg no quiso eliminar también al propio xorg.... me suena que era asi, pero ya veo que debo estar equivocado
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Mar Feb 15 2011, 20:28

alfonskunk escribió:joder... y yo que en el curro tengo los debian en etch, los suse con la 10 y los RH en la 11!
es que en realidad no hay necesidad de actualizar mientras todo funcione.

pero a mi se me puso entre ceja y ceja.... que le voy a hacer Laughing




por cierto, ya probé con apt-get y sí que me permitió actualizar varios paquetes (los que no tenían conflictos, supongo)

el asunto es que ahora el apt-get no quiere seguir (retiene todos los paquetes) y el aptitude da un problema nuevo.... mañana con calma le voy a dar caña hasta que se rinda o explote.... ya me da igual lo que pase, es algo personal... Suspect

ahora tengo un sistema medio lenny medio squeeze...
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por oscar el Mar Feb 15 2011, 20:29

Botón-Rojo escribió:Por último decidí arriesgar haciendo lo que dije:

# aptitude purge xserver-xorg
# reboot
# aptitude install xserver-xorg
Eso es lo que yo voy a hacer también.

De todas formas, ¿qué puedo perder? ¿el entorno gráfico? psss, se reinstala y listos... drunken
avatar
oscar
---------------
---------------

Mensajes : 2037
Fecha de inscripción : 26/11/2010
Edad : 35

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por alfonskunk el Mar Feb 15 2011, 21:17

comprueba antes que el CTRL+V funciona... Very Happy

_________________
Tampoco te creas que te lo digo muy en serio, ¿eh? No vayas a equivocarte.
avatar
alfonskunk
---------------
---------------

Mensajes : 3158
Fecha de inscripción : 29/11/2010
Edad : 39

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por Botón-Rojo el Mar Feb 15 2011, 22:47

Solo he entendido lo de etch. Razz Razz
avatar
Botón-Rojo
Forero

Mensajes : 614
Fecha de inscripción : 03/12/2010

Volver arriba Ir abajo

Re: actualizar de lenny a squeeze

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Página 1 de 2. 1, 2  Siguiente

Ver el tema anterior Ver el tema siguiente Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.